Package org.apache.cayenne.access.sqlbuilder.sqltree

## Class TrimmingColumnNode

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.Node
  - - org.apache.cayenne.access.sqlbuilder.sqltree.TrimmingColumnNode

- Direct Known Subclasses:
    `SQLServerColumnNode`

      public class TrimmingColumnNode
      extends Node

  Since:
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ColumnNode` | `columnNode` |

    - ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `children, childrenCount, parent, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TrimmingColumnNode​(ColumnNode columnNode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QuotingAppendable` | `append​(QuotingAppendable buffer)` |
    `protected void` | `appendAlias​(QuotingAppendable buffer, boolean isResult)` |
    `protected void` | `appendClobColumnNode​(QuotingAppendable buffer)` |
    `protected void` | `appendColumnNode​(QuotingAppendable buffer)` |
    `protected void` | `appendRtrim​(QuotingAppendable buffer)` |
    `Node` | `copy()` |
    `protected int` | `getColumnSize()` |
    `protected boolean` | `isAllowedForTrimming()` |
    `protected boolean` | `isInsertOrUpdateSet()` |
    `protected boolean` | `isParentOfType​(NodeType nodeType)` |
    `protected boolean` | `isResultNode()` |

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `addChild, addChild, appendChildrenEnd, appendChildrenSeparator, appendChildrenStart, deepCopy, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, toString, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### columnNode

          protected final ColumnNode columnNode

  - ### Constructor Detail

    - #### TrimmingColumnNode

          public TrimmingColumnNode​(ColumnNode columnNode)

  - ### Method Detail

    - #### append

          public QuotingAppendable append​(QuotingAppendable buffer)

      Specified by:
        `append` in class `Node`

    - #### appendRtrim

          protected void appendRtrim​(QuotingAppendable buffer)

    - #### isAllowedForTrimming

          protected boolean isAllowedForTrimming()

    - #### isResultNode

          protected boolean isResultNode()

    - #### isInsertOrUpdateSet

          protected boolean isInsertOrUpdateSet()

    - #### isParentOfType

          protected boolean isParentOfType​(NodeType nodeType)

    - #### appendClobColumnNode

          protected void appendClobColumnNode​(QuotingAppendable buffer)

    - #### appendColumnNode

          protected void appendColumnNode​(QuotingAppendable buffer)

    - #### appendAlias

          protected void appendAlias​(QuotingAppendable buffer,
                                     boolean isResult)

    - #### getColumnSize

          protected int getColumnSize()

    - #### copy

          public Node copy()

      Specified by:
        `copy` in class `Node`